Package: org.grails.web.converters.marshaller

## [Java] Class IncludeExcludePropertyMarshaller<T extends Converter>

- org.grails.web.converters.marshaller.IncludeExcludePropertyMarshaller

- All Implemented Interfaces and Traits:
    ObjectMarshaller

      public abstract class IncludeExcludePropertyMarshaller
      extends java.lang.Object

  A marshaller capable of including or excluding properties

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `excludesProperty(java.lang.Object object, java.lang.String property)` Override for custom exclude logic
    `` | `protected boolean` | `includesProperty(java.lang.Object object, java.lang.String property)` Override for custom include logic
    `` | `protected boolean` | `shouldInclude(java.lang.Object object, java.lang.String propertyName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected boolean excludesProperty(java.lang.Object object, java.lang.String property)

      Override for custom exclude logic

      Parameters:
        `object` - The object
        `property` - The property
      Returns:
        True if it is excluded

    - #### protected boolean includesProperty(java.lang.Object object, java.lang.String property)

      Override for custom include logic

      Parameters:
        `object` - The object
        `property` - The property
      Returns:
        True if it is included

    - #### protected boolean shouldInclude(java.lang.Object object, java.lang.String propertyName)